package com.ycwl.basic.model.pc.device.req;

import com.baomidou.mybatisplus.annotation.TableId;
import com.ycwl.basic.model.common.BaseQueryParameterReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 14:53
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("设备查询参数")
public class DeviceReqQuery extends BaseQueryParameterReq {

    @ApiModelProperty("景区id")
    private Long scenicId;
    @ApiModelProperty("设备名称")
    private String name;
    @ApiModelProperty("设备编号")
    private String no;
    @ApiModelProperty("是否启用，0不启用，1启用")
    private Integer status;
    @ApiModelProperty("是否在线，0不在线，1在线")
    private Integer online;
    private Date startTime;
    private Date endTime;
}
